


/* css for event listing page */

/* event banner */
.event-banner {
    background: url('https://sunco.ca/wp-content/uploads/2025/06/milestone-scaled.jpg') no-repeat center center;
    background-size: cover;
    /* padding: 60px 144px; */
    margin: 0 auto;
    min-height: 328px;
    display: flex;
    flex-flow: column;
    justify-content: center;
}

.event-banner .container {
    width: 100%;
    /* max-width: 1440px; */
    max-width: 1140px;
    margin: 0 auto;
    padding: 0;
}

@media screen and (max-width: 1024px) {
    .event-banner .container {
        padding: 0 24px;
    }
}

.event-banner h1 {
    font-family: 'Arial', sans-serif;
    font-size: 44px;
    line-height: 56px;
    font-weight: 700;
    color: #ffffff;
    text-align: left;
    margin-top: 0;
}

@media screen and (max-width: 1024px) {
    .event-banner h1 {
        font-size: 40px;
        line-height: 54px;
    }
}

.event-banner p {
    font-family: 'Arial', sans-serif;
    font-size: 20px;
    line-height: 30px;
    color: #ffffff;
    max-width: 662px;
    text-align: left;
}


.filter-by-category .container {
    width: 100%;
    /* max-width: 1440px; */
    max-width: 1140px;
    margin: 0 auto;
    padding: 60px 0;
}

@media screen and (max-width: 1488px) {
    .filter-by-category .container {
        padding: 60px 24px;
    }
}


.filter-by-category .filter-container .category-event-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

@media screen and (max-width: 1024px) {
    .filter-by-category .filter-container .category-event-wrapper {
        gap: 32px;
    }
}

.filter-by-category .filter-container h3 {
    font-family: 'Arial', sans-serif;
    font-size: 16px;
    line-height: 20px;
    color: #051c2c;
    margin-bottom: 16px;
    margin-top: 0;
}

@media screen and (max-width: 1024px) {
    .filter-by-category .filter-container h3 {
        margin-bottom: 24px;
    }
}

.filter-by-category .filter-container ul.category-details {
    display: flex;
    gap: 8px;
    list-style-type: none;
    padding: 0;
    margin: 0;
    align-items: center;
}

.filter-by-category .filter-container ul.category-details li#toggle-more-cats {
    display: none;
}

@media screen and (max-width: 767px) {
    .filter-by-category .filter-container ul.category-details li.hidden-cat {
        display: none;
    }

    .filter-by-category .filter-container ul.category-details li#toggle-more-cats {
        display: block;
    }

    .filter-by-category .filter-container ul.category-details.showing-all li.hidden-cat {
        display: flex;
    }
}


@media screen and (max-width: 1024px) {
    .filter-by-category .filter-container ul.category-details {
        flex-wrap: wrap;
    }
}

.filter-by-category .filter-container ul.category-details li {
    display: flex;
    background: rgba(5, 28, 44, 0.1);
    border-radius: 50px;
    padding: 12px 16px;
}

.filter-by-category .filter-container ul.category-details li a {
    font-family: 'Arial', sans-serif;
    font-size: 16px;
    line-height: 20px;
    color: #051c2c;
}

@media screen and (max-width: 767px) {
    .filter-by-category .filter-container ul.category-details li a {
        font-size: 14px;
    }
}

.filter-by-category .filter-container ul.category-details span {
    font-family: 'Arial', sans-serif;
    font-size: 14px;
    line-height: 20px;
    color: #051c2c;
    text-decoration: underline;
}

.filter-by-category .filter-container ul.category-details li.active {
    background: #051c2c;
}

.filter-by-category .filter-container ul.category-details li.active a {
    color: #ffffff;
}

.filter-by-category .filter-container ul.event-details {
    display: flex;
    gap: 20px;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.filter-by-category .filter-container ul.event-details li a {
    position: relative;
}

.filter-by-category .filter-container ul.event-details li a::after {
    content: '';
    position: absolute;
    width: 20px;
    height: 20px;
    border-radius: 50px;
    border: 1px solid #FFC600;
    left: -30px;
}

.filter-by-category .filter-container ul.event-details li a::before {
    content: '';
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 50px;
    background: #FFC600;
    left: -25px;
    top: 2px;
}

.filter-by-category .filter-container ul.event-details li a.deactive::after {
    border-color: #dcdcdc;
}

.filter-by-category .filter-container ul.event-details li a.deactive::before {
    display: none;
}

.filter-by-category .filter-container ul.event-details li a {
    position: relative;
    font-size: 16px;
    line-height: 24px;
    color: #02111b;
    margin-left: 30px;
}

.filter-by-category h3 {
    font-family: 'Arial', sans-serif;
    font-size: 18px;
    line-height: 20px;
    color: #051c2c;
    margin-bottom: 24px;
}

.events-container {
    padding: 60px 0 0;
    min-height: 500px;
    position: relative;
}


.events-container h3 {
    font-family: 'Arial', sans-serif;
    font-size: 32px;
    line-height: 32px;
    font-weight: 700;
    color: #02111b;
    margin-top: 0;
}

@media screen and (max-width: 1024px) {
    .events-container {
        min-height: 300px;
    }

    .events-container h3 {
        font-size: 28px;
        line-height: 32px;
    }
}

.events-container .ul-event {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    /* justify-content: space-between; */
    grid-row-gap: 48px;
    grid-column-gap: 24px;
    list-style-type: none;
    padding: 0;
    margin-bottom: 84px;
}

@media screen and (max-width: 1024px) {
    .events-container .ul-event {
        grid-template-columns: repeat(2, 1fr);
        margin-bottom: 64px;
    }
}

@media screen and (max-width: 767px) {
    .events-container .ul-event {
        grid-template-columns: repeat(1, 1fr);
        grid-row-gap: 32px;
    }
}

.events-container .ul-event li img.default-event-image {
    max-width: 364px;
    height: 217px;
    object-fit: cover;
}

@media screen and (max-width: 1024px) {
    .events-container .ul-event li img.default-event-image {
        max-width: 100%;
    }
}

.events-container .ul-event h5 {
    background: rgba(5, 28, 44, 0.1);
    border-radius: 50px;
    font-family: 'Arial', sans-serif;
    font-size: 12px;
    line-height: 16px;
    color: #051c2c;
    padding: 6px 10px;
    margin: 16px 0;
    width: fit-content;
}

.events-container .ul-event li a {
    display: flex;
    flex-flow: column;
}

.events-container .ul-event li a h4 {
    font-family: 'Arial', sans-serif;
    font-size: 20px;
    line-height: 26px;
    color: #02111b;
    margin-top: 0;
    margin-bottom: 16px;
}

.events-container .ul-event li .month-location-wrapper {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.events-container .ul-event li .month-location-wrapper span {
    display: flex;
    align-items: flex-start;
    gap: 8px;
}

.events-container .ul-event li .month-location-wrapper span img {
    max-width: 20px;
}

.events-container .ul-event li a span {
    font-family: 'Arial', sans-serif;
    font-size: 16px;
    line-height: 20px;
    color: #051c2c;
}

.events-container .pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 14.5px;
}


.events-container .pagination span,
.events-container .pagination a {
    width: 32px;
    height: 32px;
    background: #dcdcdc;
    color: #848484;
    border-radius: 50px;
    display: flex;
    gap: 14.5px;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    line-height: 24px;
}

.events-container .pagination a.next,
.events-container .pagination a.prev {
    width: 32px;
    height: 32px;
    background: transparent;
    color: #051c2c;
    font-size: 25px;
    font-weight: 500;
}

.events-container .pagination span.current {
    background: #051c2c;
    color: #ffffff;
}


/* future proof */
.future-proof {
    width: 100%;
    /* max-width: 1440px;
    --content-width: min(100%,var(--container-max-width,1140px));*/
    max-width: 1140px;
    margin: 0 auto;
    padding: 60px 0;
}

@media screen and (max-width: 1024px) {
    .future-proof {
        padding: 60px 24px;
    }
}

.future-proof .container {
    background: url('https://sunco.ca/wp-content/uploads/2024/04/cta-bg-2.jpg') no-repeat center center;
    background-size: cover;
    padding: 64px;
    margin: 0 auto;
    min-height: 298px;
    display: flex;
    flex-flow: column;
    justify-content: center;
    border-radius: 24px;
}

@media screen and (max-width: 1024px) {
    .future-proof .container {
        padding: 64px 24px;
    }
}

.future-proof h2 {
    font-family: 'Arial', sans-serif;
    font-size: 36px;
    line-height: 46px;
    font-weight: 700;
    color: #ffffff;
    text-align: left;
    margin-top: 0;
}

.future-proof p {
    font-family: 'Arial', sans-serif;
    font-size: 20px;
    line-height: 26px;
    color: #ffffff;
    max-width: 662px;
    text-align: left;
    margin-bottom: 20px;
}

.future-proof button {
    font-family: 'Arial', sans-serif;
    font-size: 18px;
    line-height: 24px;
    background: #FFC600;
    color: #02111b;
    max-width: 324px;
    border-radius: 50px;
    padding: 16px 42px;
}

@media screen and (max-width: 1024px) {
    .future-proof button {
        padding: 16px 19px;
    }
}

/* spinner */
.spinner {
    width: 90px;
    height: 90px;
    position: absolute;
    left: calc(50% - 40px);
    top: 180px;
    display: none;
    background: #fff;
    border-radius: 50%;
}

.spinner span {
    display: block;
    width: 80px;
    height: 80px;
    border: 8px solid transparent;
    border-top: 8px solid #051c2c;
    /* visible arc */
    border-radius: 50%;
    animation: spin 1.5s linear infinite;
}

/* keyframes */
@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.events-container.loading .spinner {
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact-us-from {
    display: flex;
    flex-flow: column;
}

.contact-us-from p label {
    font-family: "Headings", sans-serif;
    font-size: 15px;
    font-weight: 400;
    color: #000;
}

.contact-us-from p:last-child {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
    gap: 20px;
    margin: 0;
}

.wpcf7 form .wpcf7-response-output {
    margin: 8px 0 0;
    font-family: "Headings", sans-serif;
    font-size: 15px;
    font-weight: 400;
}

.contact-us-from input[type=date],
.contact-us-from input[type=email],
.contact-us-from input[type=number],
.contact-us-from input[type=password],
.contact-us-from input[type=search],
.contact-us-from input[type=tel],
.contact-us-from input[type=text],
.contact-us-from input[type=url],
.contact-us-from select,
.contact-us-from textarea {
    background-color: #FFFFFF !important;
    color: #000000 !important;
    border-bottom: 1px solid #000000 !important;
    border-radius: 0px !important;
    padding: 15px 20px 15px 0px !important;
    box-shadow: 0px 0px 0px 0px #FFFFFF;
    font-family: "Headings", sans-serif;
    font-size: 15px;
    font-weight: 400;
    background-clip: inherit !important;
    border: none;
    outline: none !important;
}

.contact-us-from input[type=date]:focus-visible,
.contact-us-from input[type=email]:focus-visible,
.contact-us-from input[type=number]:focus-visible,
.contact-us-from input[type=password]:focus-visible,
.contact-us-from input[type=search]:focus-visible,
.contact-us-from input[type=tel]:focus-visible,
.contact-us-from input[type=text]:focus-visible,
.contact-us-from input[type=url]:focus-visible,
.contact-us-from select:focus-visible,
.contact-us-from textarea:focus-visible {
    border: none !important;
    outline: none !important;
    border-bottom: 1px solid #000000 !important;
}

.contact-us-from input:placeholder {
    color: #b4b8bc !important;
    font-family: 'roboto';
    font-size: 15px;
    font-weight: 400;
}

.wpcf7-form-control.submitButton {
    background-color: #FFC600FF;
    border: 0px none #FFFFFF;
    border-radius: 4px;
    padding: 11px 11px 11px 11px;
    white-space: normal;
    width: 100%;
    box-shadow: 0px 0px 0px 0px #FFFFFF;
    color: #051C2CFF;
    font-size: 18px;
    font-weight: 700;
    font-family: "Headings", sans-serif;
}

.wpcf7-not-valid-tip {
    font-family: "Headings", sans-serif;
    font-size: 15px;
    font-weight: 400;
}

/* Connect with us to discuss your IT needs */

.technical-support {
    background: #fff;
    padding: 40px 80px 0;
    flex-flow: row;
    flex-flow: wrap;
    gap: 20px;
}

.technical-support p {
    width: calc(50% - 40px);
}

.technical-support p:nth-last-child(3),
.technical-support p:nth-last-child(2) {
    width: 100%;
}

.technical-support p:nth-last-child(2) {
    display: flex;
    flex-flow: column;
    gap: 20px;
    align-items: center;
    margin: 0;
}

.technical-support p:nth-last-child(2) .wpcf7-spinner {
    margin-bottom: 0;
}

.technical-support p:nth-last-child(2) .wpcf7-form-control.submitButton {
    max-width: 550px;
    margin: 0 auto;
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
    background: #fff;
}

@media screen and (max-width: 767px) {
    .technical-support p:nth-last-child(2) .wpcf7-form-control.submitButton {
        max-width: 100%;
    }

    .technical-support p {
        width: 100%;
    }

    .technical-support {
        padding: 20px 20px 0;
        flex-flow: column;
        flex-flow: wrap;
        gap: 0;
    }

    .technical-support p:nth-last-child(2) .wpcf7-spinner {
        margin-bottom: 20px;
    }
}

/* event details */

.disable-button {
    pointer-events: none;
    opacity: 0.6;
}

.event-breadcrumb {
    max-width: 1140px;
    margin: 0 auto;
    padding: 12px 0;
    list-style-type: none;
    display: flex;
    align-items: center;
}

@media screen and (max-width: 1151px) {
    .event-breadcrumb {
        padding: 12px;
    }
}

.event-breadcrumb li {
    margin-right: 20px;
    color:#333;
    font-size:14px;
    line-height:20px;
}

.event-breadcrumb li a{
    position:relative;
    color:#333;
    font-size:14px;
    line-height:20px;
}

.event-breadcrumb li a:hover{
    text-decoration:underline;
}

.event-breadcrumb li a:after{
    content:'»';
    position:absolute;
    right:-15px;
}

.event-breadcrumb li:last-child {
    margin-right: 0;
}

/*  */

.event-tag-list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.event-tag-list li {
    background: rgba(5, 28, 44, 0.1);
    border: solid 1px rgba(5, 28, 44, 0.1);
    padding: 12px 16px;
    border-radius: 20px;
    font-size: 16px;
    line-height: 1.25;
    font-weight: 400;
    border-radius: 50px;
    color: #051C2C;
}

.event-tag-list li.past-event-link {
    background: #fff;
    color: #051C2C;
}

ul{
    padding-inline-start: 25px;
}
